/dts-v1/;

/ {
	compatible = "qcom,sdm660-mtp", "qcom,sdm660", "qcom,mtp";
	model = "Qualcomm Technologies, Inc. SDM 660 Int. Audio Codec MTP";
	qcom,board-id = <0x8 0x1>;

	__fixups__ {
		cam_actuator_vaf_active = "/fragment@1/__overlay__/qcom,eeprom@0:pinctrl-0:8", "/fragment@1/__overlay__/qcom,eeprom@2:pinctrl-0:8";
		cam_actuator_vaf_suspend = "/fragment@1/__overlay__/qcom,eeprom@0:pinctrl-1:8", "/fragment@1/__overlay__/qcom,eeprom@2:pinctrl-1:8";
		cam_sensor_front_active = "/fragment@1/__overlay__/qcom,eeprom@2:pinctrl-0:4", "/fragment@1/__overlay__/qcom,camera@2:pinctrl-0:4";
		cam_sensor_front_iris_active = "/fragment@1/__overlay__/qcom,camera@3:pinctrl-0:4";
		cam_sensor_front_iris_suspend = "/fragment@1/__overlay__/qcom,camera@3:pinctrl-1:4";
		cam_sensor_front_suspend = "/fragment@1/__overlay__/qcom,eeprom@2:pinctrl-1:4", "/fragment@1/__overlay__/qcom,camera@2:pinctrl-1:4";
		cam_sensor_mclk0_active = "/fragment@1/__overlay__/qcom,eeprom@0:pinctrl-0:0", "/fragment@1/__overlay__/qcom,camera@0:pinctrl-0:0";
		cam_sensor_mclk0_suspend = "/fragment@1/__overlay__/qcom,eeprom@0:pinctrl-1:0", "/fragment@1/__overlay__/qcom,camera@0:pinctrl-1:0";
		cam_sensor_mclk1_active = "/fragment@1/__overlay__/qcom,eeprom@2:pinctrl-0:0", "/fragment@1/__overlay__/qcom,camera@2:pinctrl-0:0";
		cam_sensor_mclk1_suspend = "/fragment@1/__overlay__/qcom,eeprom@2:pinctrl-1:0", "/fragment@1/__overlay__/qcom,camera@2:pinctrl-1:0";
		cam_sensor_mclk2_active = "/fragment@1/__overlay__/qcom,eeprom@1:pinctrl-0:0", "/fragment@1/__overlay__/qcom,camera@1:pinctrl-0:0";
		cam_sensor_mclk2_suspend = "/fragment@1/__overlay__/qcom,eeprom@1:pinctrl-1:0", "/fragment@1/__overlay__/qcom,camera@1:pinctrl-1:0";
		cam_sensor_mclk3_active = "/fragment@1/__overlay__/qcom,camera@3:pinctrl-0:0", "/fragment@7/__overlay__/qcom,camera@1:pinctrl-0:0";
		cam_sensor_mclk3_suspend = "/fragment@1/__overlay__/qcom,camera@3:pinctrl-1:0", "/fragment@7/__overlay__/qcom,camera@1:pinctrl-1:0";
		cam_sensor_rear2_active = "/fragment@1/__overlay__/qcom,eeprom@1:pinctrl-0:4", "/fragment@1/__overlay__/qcom,camera@1:pinctrl-0:4", "/fragment@7/__overlay__/qcom,camera@1:pinctrl-0:4";
		cam_sensor_rear2_suspend = "/fragment@1/__overlay__/qcom,eeprom@1:pinctrl-1:4", "/fragment@1/__overlay__/qcom,camera@1:pinctrl-1:4", "/fragment@7/__overlay__/qcom,camera@1:pinctrl-1:4";
		cam_sensor_rear_active = "/fragment@1/__overlay__/qcom,eeprom@0:pinctrl-0:4", "/fragment@1/__overlay__/qcom,camera@0:pinctrl-0:4";
		cam_sensor_rear_suspend = "/fragment@1/__overlay__/qcom,eeprom@0:pinctrl-1:4", "/fragment@1/__overlay__/qcom,camera@0:pinctrl-1:4";
		cam_tof_active = "/fragment@1/__overlay__/qcom,tof@29:pinctrl-0:0";
		cam_tof_suspend = "/fragment@1/__overlay__/qcom,tof@29:pinctrl-1:0";
		cci = "/fragment@1:target:0", "/fragment@7:target:0";
		cdc_sdw_gpios = "/fragment@45:target:0";
		clock_audio = "/fragment@32:target:0";
		clock_audio_native = "/fragment@44:target:0";
		clock_mmss = "/fragment@1/__overlay__/qcom,eeprom@0:clocks:0", "/fragment@1/__overlay__/qcom,eeprom@0:clocks:8", "/fragment@1/__overlay__/qcom,eeprom@1:clocks:0", "/fragment@1/__overlay__/qcom,eeprom@1:clocks:8", "/fragment@1/__overlay__/qcom,eeprom@2:clocks:0", "/fragment@1/__overlay__/qcom,eeprom@2:clocks:8", "/fragment@1/__overlay__/qcom,camera@0:clocks:0", "/fragment@1/__overlay__/qcom,camera@0:clocks:8", "/fragment@1/__overlay__/qcom,camera@1:clocks:0", "/fragment@1/__overlay__/qcom,camera@1:clocks:8", "/fragment@1/__overlay__/qcom,camera@2:clocks:0", "/fragment@1/__overlay__/qcom,camera@2:clocks:8", "/fragment@1/__overlay__/qcom,camera@3:clocks:0", "/fragment@1/__overlay__/qcom,camera@3:clocks:8", "/fragment@7/__overlay__/qcom,camera@1:clocks:0", "/fragment@7/__overlay__/qcom,camera@1:clocks:8";
		clock_rpmcc = "/fragment@13/__overlay__/nq@28:clocks:0";
		dai_slim = "/fragment@29:target:0";
		dsi_hx83112a_djn_fhd_video = "/fragment@16/__overlay__:qcom,dsi-pref-prim-pan:0", "/fragment@20:target:0";
		dsi_panel_pwr_supply = "/fragment@20/__overlay__:qcom,panel-supply-entries:0";
		gdsc_ufs = "/fragment@11/__overlay__:vdd-hba-supply:0";
		glink_spi_xprt_wdsp = "/fragment@40:target:0";
		i2c_1 = "/fragment@3:target:0";
		i2c_2 = "/fragment@26:target:0";
		i2c_6 = "/fragment@13:target:0";
		int_codec = "/fragment@41:target:0", "/fragment@46:target:0";
		intc = "/fragment@22/__overlay__:interrupt-map:4", "/fragment@22/__overlay__:interrupt-map:28";
		mdss_dsi = "/fragment@15:target:0";
		mdss_dsi0 = "/fragment@16:target:0";
		mdss_dsi1 = "/fragment@17:target:0";
		mdss_dsi1_pll = "/fragment@18:target:0";
		mdss_dsi_active = "/fragment@16/__overlay__:pinctrl-0:0";
		mdss_dsi_suspend = "/fragment@16/__overlay__:pinctrl-1:0";
		mdss_mdp = "/fragment@14:target:0";
		mdss_te_active = "/fragment@16/__overlay__:pinctrl-0:4";
		mdss_te_suspend = "/fragment@16/__overlay__:pinctrl-1:4";
		mem_client_3_size = "/fragment@24:target:0";
		msm_sdw_codec = "/fragment@43:target:0";
		nfc_enable_active = "/fragment@13/__overlay__/nq@28:pinctrl-0:4";
		nfc_enable_suspend = "/fragment@13/__overlay__/nq@28:pinctrl-1:4";
		nfc_int_active = "/fragment@13/__overlay__/nq@28:pinctrl-0:0";
		nfc_int_suspend = "/fragment@13/__overlay__/nq@28:pinctrl-1:0";
		pm660_fg = "/fragment@25:target:0";
		pm660_gpios = "/fragment@12:target:0", "/fragment@13/__overlay__/nq@28:qcom,nq-clkreq:0";
		pm660_l1 = "/fragment@11/__overlay__:qcom,vddp-ref-clk-supply:0";
		pm660_l10 = "/fragment@10/__overlay__:vdda-pll-supply:0";
		pm660_l11 = "/fragment@1/__overlay__/qcom,eeprom@0:cam_vio-supply:0", "/fragment@1/__overlay__/qcom,eeprom@1:cam_vio-supply:0", "/fragment@1/__overlay__/qcom,eeprom@2:cam_vio-supply:0", "/fragment@1/__overlay__/qcom,camera@0:cam_vio-supply:0", "/fragment@1/__overlay__/qcom,camera@1:cam_vio-supply:0", "/fragment@1/__overlay__/qcom,camera@2:cam_vio-supply:0", "/fragment@1/__overlay__/qcom,camera@3:cam_vio-supply:0";
		pm660_l8 = "/fragment@11/__overlay__:vccq2-supply:0", "/fragment@21/__overlay__:vdd-io-supply:0";
		pm660_s5 = "/fragment@0/__overlay__/cam_dvdd_fixed_regulator:vin-supply:0", "/fragment@0/__overlay__/cam_rear_dvdd_fixed_regulator:vin-supply:0", "/fragment@27/__overlay__/lepton3-spi@1:lepton3_vddc-supply:0";
		pm660l_bob = "/fragment@0/__overlay__/cam_avdd_fixed_regulator:vin-supply:0", "/fragment@0/__overlay__/cam_actuator_fixed_regulator:vin-supply:0", "/fragment@1/__overlay__/qcom,eeprom@2:cam_vana-supply:0";
		pm660l_flash0 = "/fragment@0/__overlay__/qcom,camera-flash@0:qcom,flash-source:0";
		pm660l_flash2 = "/fragment@0/__overlay__/qcom,camera-flash@1:qcom,flash-source:0";
		pm660l_gpios = "/fragment@0/__overlay__/cam_dvdd_fixed_regulator:gpio:0", "/fragment@0/__overlay__/cam_rear_dvdd_fixed_regulator:gpio:0", "/fragment@2:target:0";
		pm660l_l1 = "/fragment@10/__overlay__:vdda-phy-supply:0";
		pm660l_l2 = "/fragment@22/__overlay__:vdd-io-supply:0";
		pm660l_l3 = "/fragment@1/__overlay__/qcom,actuator@0:cam_vaf-supply:0";
		pm660l_l4 = "/fragment@11/__overlay__:vcc-supply:0", "/fragment@21/__overlay__:vdd-supply:0";
		pm660l_l5 = "/fragment@22/__overlay__:vdd-supply:0";
		pm660l_switch0 = "/fragment@0/__overlay__/qcom,camera-flash@0:qcom,switch-source:0", "/fragment@5:target:0";
		pm660l_switch1 = "/fragment@0/__overlay__/qcom,camera-flash@1:qcom,switch-source:0";
		pm660l_torch0 = "/fragment@0/__overlay__/qcom,camera-flash@0:qcom,torch-source:0", "/fragment@4:target:0";
		pm660l_torch2 = "/fragment@0/__overlay__/qcom,camera-flash@1:qcom,torch-source:0";
		pm660l_wled = "/fragment@19:target:0";
		pmic_analog_codec = "/fragment@42:target:0";
		sdc1_clk_off = "/fragment@21/__overlay__:pinctrl-1:0";
		sdc1_clk_on = "/fragment@21/__overlay__:pinctrl-0:0";
		sdc1_cmd_off = "/fragment@21/__overlay__:pinctrl-1:4";
		sdc1_cmd_on = "/fragment@21/__overlay__:pinctrl-0:4";
		sdc1_data_off = "/fragment@21/__overlay__:pinctrl-1:8";
		sdc1_data_on = "/fragment@21/__overlay__:pinctrl-0:8";
		sdc1_rclk_off = "/fragment@21/__overlay__:pinctrl-1:12";
		sdc1_rclk_on = "/fragment@21/__overlay__:pinctrl-0:12";
		sdc2_cd_off = "/fragment@22/__overlay__:pinctrl-1:12";
		sdc2_cd_on = "/fragment@22/__overlay__:pinctrl-0:12";
		sdc2_clk_off = "/fragment@22/__overlay__:pinctrl-1:0";
		sdc2_clk_on = "/fragment@22/__overlay__:pinctrl-0:0";
		sdc2_cmd_off = "/fragment@22/__overlay__:pinctrl-1:4";
		sdc2_cmd_on = "/fragment@22/__overlay__:pinctrl-0:4";
		sdc2_data_off = "/fragment@22/__overlay__:pinctrl-1:8";
		sdc2_data_on = "/fragment@22/__overlay__:pinctrl-0:8";
		sdhc_1 = "/fragment@21:target:0";
		sdhc_2 = "/fragment@22:target:0", "/fragment@22/__overlay__:interrupt-parent:0";
		slim_aud = "/fragment@28:target:0";
		soc = "/fragment@0:target:0", "/fragment@6:target:0", "/fragment@23:target:0";
		spi_3 = "/fragment@27:target:0";
		spi_7 = "/fragment@37:target:0";
		tasha_snd = "/fragment@35:target:0";
		tavil_snd = "/fragment@36:target:0";
		tlmm = "/fragment@0/__overlay__/cam_avdd_fixed_regulator:gpio:0", "/fragment@0/__overlay__/cam_actuator_fixed_regulator:gpio:0", "/fragment@1/__overlay__/qcom,tof@29:stm,irq-gpio:0", "/fragment@1/__overlay__/qcom,tof@29:gpios:0", "/fragment@1/__overlay__/qcom,eeprom@0:gpios:0", "/fragment@1/__overlay__/qcom,eeprom@0:gpios:12", "/fragment@1/__overlay__/qcom,eeprom@0:gpios:24", "/fragment@1/__overlay__/qcom,eeprom@0:gpios:36", "/fragment@1/__overlay__/qcom,eeprom@0:gpios:48", "/fragment@1/__overlay__/qcom,eeprom@1:gpios:0", "/fragment@1/__overlay__/qcom,eeprom@1:gpios:12", "/fragment@1/__overlay__/qcom,eeprom@2:gpios:0", "/fragment@1/__overlay__/qcom,eeprom@2:gpios:12", "/fragment@1/__overlay__/qcom,eeprom@2:gpios:24", "/fragment@1/__overlay__/qcom,eeprom@2:gpios:36", "/fragment@1/__overlay__/qcom,eeprom@2:gpios:48", "/fragment@1/__overlay__/qcom,camera@0:gpios:0", "/fragment@1/__overlay__/qcom,camera@0:gpios:12", "/fragment@1/__overlay__/qcom,camera@1:gpios:0", "/fragment@1/__overlay__/qcom,camera@1:gpios:12", "/fragment@1/__overlay__/qcom,camera@2:gpios:0", "/fragment@1/__overlay__/qcom,camera@2:gpios:12", "/fragment@1/__overlay__/qcom,camera@3:gpios:0", "/fragment@1/__overlay__/qcom,camera@3:gpios:12", "/fragment@3/__overlay__/himax_ts@48:interrupt-parent:0", "/fragment@3/__overlay__/himax_ts@48:himax,irq-gpio:0", "/fragment@3/__overlay__/himax_ts@48:himax,rst-gpio:0", "/fragment@7/__overlay__/qcom,camera@0:gpios:0", "/fragment@7/__overlay__/qcom,camera@0:gpios:12", "/fragment@7/__overlay__/qcom,camera@0:gpios:24", "/fragment@7/__overlay__/qcom,camera@0:gpios:36", "/fragment@7/__overlay__/qcom,camera@0:gpios:48", "/fragment@7/__overlay__/qcom,camera@1:gpios:0", "/fragment@7/__overlay__/qcom,camera@1:gpios:12", "/fragment@7/__overlay__/qcom,camera@1:gpios:24", "/fragment@7/__overlay__/qcom,camera@1:gpios:36", "/fragment@7/__overlay__/qcom,camera@1:gpios:48", "/fragment@7/__overlay__/qcom,camera@1:gpios:60", "/fragment@7/__overlay__/qcom,camera@2:gpios:0", "/fragment@7/__overlay__/qcom,camera@2:gpios:12", "/fragment@7/__overlay__/qcom,camera@2:gpios:24", "/fragment@7/__overlay__/qcom,camera@2:gpios:36", "/fragment@7/__overlay__/qcom,camera@2:gpios:48", "/fragment@13/__overlay__/nq@28:qcom,nq-irq:0", "/fragment@13/__overlay__/nq@28:qcom,nq-ven:0", "/fragment@13/__overlay__/nq@28:qcom,nq-firm:0", "/fragment@13/__overlay__/nq@28:qcom,nq-esepwr:0", "/fragment@13/__overlay__/nq@28:interrupt-parent:0", "/fragment@13/__overlay__/tas2557@4c:ti,cdc-reset-gpio:0", "/fragment@13/__overlay__/tas2557@4c:ti,irq-gpio:0", "/fragment@16/__overlay__:qcom,platform-reset-gpio:0", "/fragment@16/__overlay__:qcom,platform-te-gpio:0", "/fragment@16/__overlay__:qcom,platform-tp-reset-gpio:0", "/fragment@16/__overlay__:qcom,platform-lcm-id-gpio:0", "/fragment@22/__overlay__:interrupt-map:52", "/fragment@22/__overlay__:cd-gpios:0", "/fragment@27/__overlay__/lepton3-spi@1:lepton3-spi,gpio-rest:0", "/fragment@27/__overlay__/lepton3-spi@1:lepton3-spi,gpio-pdwn:0", "/fragment@27/__overlay__/lepton3-spi@1:lepton3-spi,gpio-vddc-en:0", "/fragment@27/__overlay__/lepton3-spi@1:lepton3-spi,gpio-vddcio-en:0", "/fragment@27/__overlay__/lepton3-spi@1:lepton3-spi,gpio-vdd-en:0", "/fragment@27/__overlay__/lepton@0:interrupt-parent:0";
		ts_reset_high = "/fragment@3/__overlay__/himax_ts@48:pinctrl-1:0";
		ts_reset_low = "/fragment@3/__overlay__/himax_ts@48:pinctrl-0:0";
		uart_console_active = "/fragment@9/__overlay__:pinctrl-0:0";
		uartblsp1dm1 = "/fragment@9:target:0";
		ufs1 = "/fragment@11:target:0";
		ufsphy1 = "/fragment@10:target:0";
		vendor = "/fragment@8:target:0";
		wcd9335 = "/fragment@30:target:0";
		wcd934x_cdc = "/fragment@31:target:0";
		wcd9xxx_intc = "/fragment@34:target:0";
		wcd_rst_gpio = "/fragment@33:target:0";
		wdsp_glink = "/fragment@39:target:0";
		wdsp_mgr = "/fragment@38:target:0";
	};

	__local_fixups__ {

		fragment@0 {

			__overlay__ {

				cam_dvdd_fixed_regulator {
					pinctrl-0 = <0x0>;
				};

				cam_rear_dvdd_fixed_regulator {
					pinctrl-0 = <0x0>;
				};
			};
		};

		fragment@1 {

			__overlay__ {

				qcom,actuator@1 {
					cam_vaf-supply = <0x0>;
				};

				qcom,actuator@2 {
					cam_vaf-supply = <0x0>;
				};

				qcom,camera@0 {
					cam_vana-supply = <0x0>;
					cam_vdig-supply = <0x0>;
					qcom,actuator-src = <0x0>;
					qcom,eeprom-src = <0x0>;
					qcom,led-flash-src = <0x0>;
					qcom,ois-src = <0x0>;
				};

				qcom,camera@1 {
					cam_vana-supply = <0x0>;
					cam_vdig-supply = <0x0>;
					qcom,actuator-src = <0x0>;
					qcom,eeprom-src = <0x0>;
					qcom,led-flash-src = <0x0>;
				};

				qcom,camera@2 {
					cam_vana-supply = <0x0>;
					cam_vdig-supply = <0x0>;
					qcom,actuator-src = <0x0>;
					qcom,eeprom-src = <0x0>;
				};

				qcom,camera@3 {
					cam_vana-supply = <0x0>;
					cam_vdig-supply = <0x0>;
					qcom,actuator-src = <0x0>;
					qcom,eeprom-src = <0x0>;
					qcom,led-flash-src = <0x0>;
				};

				qcom,eeprom@0 {
					cam_vana-supply = <0x0>;
					cam_vdig-supply = <0x0>;
				};

				qcom,eeprom@1 {
					cam_vana-supply = <0x0>;
					cam_vdig-supply = <0x0>;
				};

				qcom,eeprom@2 {
					cam_vdig-supply = <0x0>;
				};

				qcom,ois@0 {
					cam_vaf-supply = <0x0>;
				};

				qcom,tof@29 {
					cam_laser-supply = <0x0>;
				};
			};
		};

		fragment@13 {

			__overlay__ {

				nq@28 {
					pinctrl-0 = <0x8>;
				};
			};
		};

		fragment@25 {

			__overlay__ {
				qcom,battery-data = <0x0>;
			};
		};

		fragment@7 {

			__overlay__ {

				qcom,camera@0 {
					qcom,eeprom-src = <0x0>;
				};
			};
		};
	};

	__symbols__ {
		actuator0 = "/fragment@1/__overlay__/qcom,actuator@0";
		actuator1 = "/fragment@1/__overlay__/qcom,actuator@1";
		actuator2 = "/fragment@1/__overlay__/qcom,actuator@2";
		cam_actuator_regulator = "/fragment@0/__overlay__/cam_actuator_fixed_regulator";
		cam_avdd_gpio_regulator = "/fragment@0/__overlay__/cam_avdd_fixed_regulator";
		cam_dvdd_gpio_regulator = "/fragment@0/__overlay__/cam_dvdd_fixed_regulator";
		cam_rear_dvdd_gpio_regulator = "/fragment@0/__overlay__/cam_rear_dvdd_fixed_regulator";
		cam_sensor_eldo3_default = "/fragment@2/__overlay__/cam_sensor_eldo3/cam_sensor_eldo3_default";
		cam_sensor_eldo4_default = "/fragment@2/__overlay__/cam_sensor_eldo4/cam_sensor_eldo4_default";
		eeprom0 = "/fragment@1/__overlay__/qcom,eeprom@0";
		eeprom1 = "/fragment@1/__overlay__/qcom,eeprom@1";
		eeprom2 = "/fragment@1/__overlay__/qcom,eeprom@2";
		ext_amp_codec = "/fragment@13/__overlay__/tas2557@4c";
		home_key_default = "/fragment@12/__overlay__/home_key/home_key_default";
		led_flash0 = "/fragment@0/__overlay__/qcom,camera-flash@0";
		led_flash1 = "/fragment@0/__overlay__/qcom,camera-flash@1";
		mtp_batterydata = "/fragment@8/__overlay__/qcom,battery-data";
		nfc_clk_default = "/fragment@12/__overlay__/nfc_clk/nfc_clk_default";
		ois0 = "/fragment@1/__overlay__/qcom,ois@0";
		tof0 = "/fragment@1/__overlay__/qcom,tof@29";
	};

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {

			cam_actuator_fixed_regulator {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x32 0x0>;
				phandle = <0x3>;
				regulator-max-microvolt = <0x36ee80>;
				regulator-min-microvolt = <0x36ee80>;
				regulator-name = "cam_actuator_regulator";
				vin-supply = <0xffffffff>;
			};

			cam_avdd_fixed_regulator {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x32 0x0>;
				phandle = <0x4>;
				regulator-max-microvolt = <0x36ee80>;
				regulator-min-microvolt = <0x36ee80>;
				regulator-name = "cam_avdd_gpio_regulator";
				vin-supply = <0xffffffff>;
			};

			cam_dvdd_fixed_regulator {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x3 0x0>;
				phandle = <0x6>;
				pinctrl-0 = <0x1>;
				pinctrl-names = "default";
				regulator-max-microvolt = <0x149970>;
				regulator-min-microvolt = <0x149970>;
				regulator-name = "cam_dvdd_gpio_regulator";
				vin-supply = <0xffffffff>;
			};

			cam_rear_dvdd_fixed_regulator {
				compatible = "regulator-fixed";
				enable-active-high;
				gpio = <0xffffffff 0x4 0x0>;
				phandle = <0x5>;
				pinctrl-0 = <0x2>;
				pinctrl-names = "default";
				regulator-max-microvolt = <0x149970>;
				regulator-min-microvolt = <0x149970>;
				regulator-name = "cam_rear_dvdd_gpio_regulator";
				vin-supply = <0xffffffff>;
			};

			qcom,camera-flash@0 {
				cell-index = <0x0>;
				compatible = "qcom,camera-flash";
				phandle = <0x7>;
				qcom,flash-source = <0xffffffff>;
				qcom,led-name = "led_torch0";
				qcom,switch-source = <0xffffffff>;
				qcom,torch-source = <0xffffffff>;
				status = "ok";
			};

			qcom,camera-flash@1 {
				cell-index = <0x1>;
				compatible = "qcom,camera-flash";
				phandle = <0xf>;
				qcom,flash-source = <0xffffffff>;
				qcom,switch-source = <0xffffffff>;
				qcom,torch-source = <0xffffffff>;
				status = "disabled";
			};
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {

			qcom,actuator@0 {
				cam_vaf-supply = <0xffffffff>;
				cell-index = <0x0>;
				compatible = "qcom,actuator";
				phandle = <0x8>;
				qcom,cam-vreg-max-voltage = <0x2ab980>;
				qcom,cam-vreg-min-voltage = <0x2ab980>;
				qcom,cam-vreg-name = "cam_vaf";
				qcom,cam-vreg-op-mode = <0x0>;
				qcom,cci-master = <0x0>;
				reg = <0x0>;
			};

			qcom,actuator@1 {
				cam_vaf-supply = <0x3>;
				cell-index = <0x1>;
				compatible = "qcom,actuator";
				phandle = <0xb>;
				qcom,cam-vreg-max-voltage = <0x36ee80>;
				qcom,cam-vreg-min-voltage = <0x36ee80>;
				qcom,cam-vreg-name = "cam_vaf";
				qcom,cam-vreg-op-mode = <0x0>;
				qcom,cci-master = <0x1>;
				reg = <0x1>;
			};

			qcom,actuator@2 {
				cam_vaf-supply = <0x3>;
				cell-index = <0x2>;
				compatible = "qcom,actuator";
				phandle = <0xd>;
				qcom,cam-vreg-max-voltage = <0x36ee80>;
				qcom,cam-vreg-min-voltage = <0x36ee80>;
				qcom,cam-vreg-name = "cam_vaf";
				qcom,cam-vreg-op-mode = <0x0>;
				qcom,cci-master = <0x1>;
				reg = <0x2>;
			};

			qcom,camera@0 {
				cam_vana-supply = <0x4>;
				cam_vdig-supply = <0x5>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x0>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1c 0xffffffff 0x82>;
				compatible = "qcom,camera";
				gpios = <0xffffffff 0x20 0x0 0xffffffff 0x2e 0x0>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,actuator-src = <0x8>;
				qcom,cam-vreg-max-voltage = <0x1dc130 0x0 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x0 0x0>;
				qcom,cci-master = <0x0>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,csid-sd-index = <0x0>;
				qcom,csiphy-sd-index = <0x0>;
				qcom,eeprom-src = <0xa>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK0", "CAM_RESET0";
				qcom,gpio-req-tbl-num = <0x0 0x1>;
				qcom,gpio-reset = <0x1>;
				qcom,led-flash-src = <0x7>;
				qcom,mount-angle = <0x5a>;
				qcom,ois-src = <0x9>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x0>;
				reg = <0x0>;
				status = "ok";
			};

			qcom,camera@1 {
				cam_vana-supply = <0x4>;
				cam_vdig-supply = <0x6>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x1>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1e 0xffffffff 0x84>;
				compatible = "qcom,camera";
				gpios = <0xffffffff 0x22 0x0 0xffffffff 0x30 0x0>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,actuator-src = <0xb>;
				qcom,cam-vreg-max-voltage = <0x1dc130 0x0 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x0 0x0>;
				qcom,cci-master = <0x1>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,csid-sd-index = <0x2>;
				qcom,csiphy-sd-index = <0x1>;
				qcom,eeprom-src = <0xc>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK", "CAM_RESET";
				qcom,gpio-req-tbl-num = <0x0 0x1>;
				qcom,gpio-reset = <0x1>;
				qcom,led-flash-src = <0x7>;
				qcom,mount-angle = <0x5a>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x0>;
				reg = <0x1>;
				status = "ok";
			};

			qcom,camera@2 {
				cam_vana-supply = <0x4>;
				cam_vdig-supply = <0x6>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x2>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1d 0xffffffff 0x83>;
				compatible = "qcom,camera";
				gpios = <0xffffffff 0x21 0x0 0xffffffff 0x2f 0x0>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,actuator-src = <0xd>;
				qcom,cam-vreg-max-voltage = <0x1dc130 0x0 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x0 0x0>;
				qcom,cci-master = <0x1>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,csid-sd-index = <0x2>;
				qcom,csiphy-sd-index = <0x2>;
				qcom,eeprom-src = <0xe>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK2", "CAM_RESET2";
				qcom,gpio-req-tbl-num = <0x0 0x1>;
				qcom,gpio-reset = <0x1>;
				qcom,mount-angle = <0x5a>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x1>;
				reg = <0x2>;
				status = "ok";
			};

			qcom,camera@3 {
				cam_vana-supply = <0x4>;
				cam_vdig-supply = <0x6>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x3>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1f 0xffffffff 0x85>;
				compatible = "qcom,camera";
				gpios = <0xffffffff 0x23 0x0 0xffffffff 0x34 0x0>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,actuator-src = <0xd>;
				qcom,cam-vreg-max-voltage = <0x1dc130 0x0 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x0 0x0>;
				qcom,cci-master = <0x1>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,csid-sd-index = <0x1>;
				qcom,csiphy-sd-index = <0x1>;
				qcom,eeprom-src = <0xe>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK3", "CAM_RESET3";
				qcom,gpio-req-tbl-num = <0x0 0x1>;
				qcom,gpio-reset = <0x1>;
				qcom,led-flash-src = <0xf>;
				qcom,mount-angle = <0x5a>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x1>;
				reg = <0x3>;
			};

			qcom,eeprom@0 {
				cam_vana-supply = <0x4>;
				cam_vdig-supply = <0x5>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x0>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1c 0xffffffff 0x82>;
				compatible = "qcom,eeprom";
				gpios = <0xffffffff 0x20 0x0 0xffffffff 0x2e 0x0 0xffffffff 0x28 0x0 0xffffffff 0x15 0x0 0xffffffff 0x32 0x0>;
				phandle = <0xa>;
				pinctrl-0 = <0xffffffff 0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,cam-vreg-max-voltage = <0x1dc130 0x0 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x0 0x0>;
				qcom,cci-master = <0x0>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0 0x0 0x0 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK0", "CAM_RESET0", "CAM_VDIG", "CAM_VIO", "CAM_VANA";
				qcom,gpio-req-tbl-num = <0x0 0x1 0x2 0x3 0x4>;
				qcom,gpio-reset = <0x1>;
				qcom,gpio-vaf = <0x2>;
				qcom,gpio-vana = <0x4>;
				qcom,gpio-vdig = <0x2>;
				qcom,gpio-vio = <0x3>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x0>;
				reg = <0x0>;
				status = "ok";
			};

			qcom,eeprom@1 {
				cam_vana-supply = <0x4>;
				cam_vdig-supply = <0x6>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x1>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1e 0xffffffff 0x84>;
				compatible = "qcom,eeprom";
				gpios = <0xffffffff 0x22 0x0 0xffffffff 0x30 0x0>;
				phandle = <0xc>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,cam-vreg-max-voltage = <0x1dc130 0x0 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x0 0x0>;
				qcom,cci-master = <0x1>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK", "CAM_RESET";
				qcom,gpio-req-tbl-num = <0x0 0x1>;
				qcom,gpio-reset = <0x1>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x0>;
				reg = <0x1>;
				status = "ok";
			};

			qcom,eeprom@2 {
				cam_vana-supply = <0xffffffff>;
				cam_vdig-supply = <0x6>;
				cam_vio-supply = <0xffffffff>;
				cell-index = <0x2>;
				clock-names = "cam_src_clk", "cam_clk";
				clocks = <0xffffffff 0x1d 0xffffffff 0x83>;
				compatible = "qcom,eeprom";
				gpios = <0xffffffff 0x21 0x0 0xffffffff 0x2f 0x0 0xffffffff 0x34 0x0 0xffffffff 0x33 0x0 0xffffffff 0x15 0x0>;
				phandle = <0xe>;
				pinctrl-0 = <0xffffffff 0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff 0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,cam-vreg-max-voltage = <0x1dc130 0x36ee80 0x0>;
				qcom,cam-vreg-min-voltage = <0x1b2920 0x325aa0 0x0>;
				qcom,cam-vreg-name = "cam_vio", "cam_vana", "cam_vdig";
				qcom,cam-vreg-op-mode = <0x19a28 0x13880 0x0>;
				qcom,cci-master = <0x0>;
				qcom,clock-rates = <0x16e3600 0x0>;
				qcom,gpio-no-mux = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0 0x0 0x0 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK1", "CAM_RESET1", "CAM_VDIG1", "CAM_VANA1", "CAM_VIO1";
				qcom,gpio-req-tbl-num = <0x0 0x1 0x2 0x3 0x4>;
				qcom,gpio-reset = <0x1>;
				qcom,gpio-vaf = <0x3>;
				qcom,gpio-vana = <0x3>;
				qcom,gpio-vdig = <0x2>;
				qcom,gpio-vio = <0x4>;
				qcom,sensor-mode = <0x0>;
				qcom,sensor-position = <0x1>;
				reg = <0x2>;
				status = "ok";
			};

			qcom,ois@0 {
				cam_vaf-supply = <0x3>;
				cell-index = <0x0>;
				compatible = "qcom,ois";
				phandle = <0x9>;
				qcom,cam-vreg-max-voltage = <0x36ee80>;
				qcom,cam-vreg-min-voltage = <0x36ee80>;
				qcom,cam-vreg-name = "cam_vaf";
				qcom,cam-vreg-op-mode = <0x0>;
				qcom,cci-master = <0x0>;
				reg = <0x0>;
				status = "disabled";
			};

			qcom,tof@29 {
				cam_laser-supply = <0x3>;
				cell-index = <0x0>;
				compatible = "st,stmvl53l0";
				gpios = <0xffffffff 0x2a 0x0>;
				phandle = <0x12>;
				pinctrl-0 = <0xffffffff>;
				pinctrl-1 = <0xffffffff>;
				pinctrl-names = "cam_default", "cam_suspend";
				qcom,cam-vreg-max-voltage = <0x36ee80>;
				qcom,cam-vreg-min-voltage = <0x36ee80>;
				qcom,cam-vreg-name = "cam_laser";
				qcom,cci-master = <0x0>;
				qcom,gpio-req-tbl-flags = <0x0>;
				qcom,gpio-req-tbl-label = "RNG_EN";
				qcom,gpio-req-tbl-num = <0x0>;
				reg = <0x29>;
				stm,irq-gpio = <0xffffffff 0x2d 0x2008>;
			};
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {
			status = "ok";
			vdda-phy-max-microamp = <0xc8c8>;
			vdda-phy-supply = <0xffffffff>;
			vdda-pll-max-microamp = <0x3778>;
			vdda-pll-supply = <0xffffffff>;
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,vddp-ref-clk-max-microamp = <0x64>;
			qcom,vddp-ref-clk-supply = <0xffffffff>;
			status = "ok";
			vcc-max-microamp = <0x7a120>;
			vcc-supply = <0xffffffff>;
			vccq2-max-microamp = <0x927c0>;
			vccq2-supply = <0xffffffff>;
			vdd-hba-fixed-regulator;
			vdd-hba-supply = <0xffffffff>;
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {

			home_key {

				home_key_default {
					bias-pull-up;
					function = "normal";
					input-enable;
					phandle = <0x13>;
					pins = "gpio11";
				};
			};

			nfc_clk {

				nfc_clk_default {
					function = "normal";
					input-enable;
					phandle = <0x10>;
					pins = "gpio4";
					power-source = <0x1>;
				};
			};
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";

			nq@28 {
				clock-names = "ref_clk";
				clocks = <0xffffffff 0x66>;
				compatible = "qcom,nq-nci";
				interrupt-names = "nfc_irq";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x30 0x0>;
				pinctrl-0 = <0xffffffff 0xffffffff 0x10>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				pinctrl-names = "nfc_active", "nfc_suspend";
				qcom,clk-src = "BBCLK3";
				qcom,nq-clkreq = <0xffffffff 0x4 0x0>;
				qcom,nq-esepwr = <0xffffffff 0x3c 0x0>;
				qcom,nq-firm = <0xffffffff 0x38 0x0>;
				qcom,nq-irq = <0xffffffff 0x30 0x0>;
				qcom,nq-ven = <0xffffffff 0x36 0x0>;
				reg = <0x28>;
			};

			tas2557@4c {
				#sound-dai-cells = <0x1>;
				compatible = "ti,tas2557";
				phandle = <0x14>;
				reg = <0x4c>;
				status = "ok";
				ti,bypass-tmax = <0x0>;
				ti,cdc-reset-gpio = <0xffffffff 0x43 0x0>;
				ti,i2s-bits = <0x10>;
				ti,irq-gpio = <0xffffffff 0x1 0x0>;
			};
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,mdss-pref-prim-intf = "dsi";
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {
			hw-config = "single_dsi";
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0xffffffff 0xffffffff>;
			pinctrl-1 = <0xffffffff 0xffffffff>;
			pinctrl-names = "mdss_default", "mdss_sleep";
			qcom,dsi-pref-prim-pan = <0xffffffff>;
			qcom,platform-lcm-id-gpio = <0xffffffff 0x37 0x0>;
			qcom,platform-reset-gpio = <0xffffffff 0x35 0x0>;
			qcom,platform-te-gpio = <0xffffffff 0x3b 0x0>;
			qcom,platform-tp-reset-gpio = <0xffffffff 0x19 0x0>;
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,fs-current-limit = <0x4e20>;
			qcom,leds-per-string = <0x7>;
			qcom,string-cfg = <0x3>;
			status = "ok";
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			cam_sensor_eldo3 {

				cam_sensor_eldo3_default {
					bias-disable;
					function = "normal";
					output-high;
					phandle = <0x1>;
					pins = "gpio3";
				};
			};

			cam_sensor_eldo4 {

				cam_sensor_eldo4_default {
					bias-disable;
					function = "normal";
					output-low;
					phandle = <0x2>;
					pins = "gpio4";
				};
			};
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,mdss-dsi-bl-max-level = <0xfff>;
			qcom,mdss-dsi-bl-min-level = <0x1>;
			qcom,mdss-dsi-bl-pmic-control-type = "bl_ctrl_wled";
			qcom,panel-supply-entries = <0xffffffff>;
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
			pinctrl-1 = <0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
			pinctrl-names = "active", "sleep";
			qcom,vdd-current-level = <0xc8 0x8b290>;
			qcom,vdd-io-always-on;
			qcom,vdd-io-current-level = <0xc8 0x4f588>;
			qcom,vdd-io-lpm-sup;
			qcom,vdd-io-voltage-level = <0x1b7740 0x1b7740>;
			qcom,vdd-voltage-level = <0x2d0370 0x2d0370>;
			status = "ok";
			vdd-io-supply = <0xffffffff>;
			vdd-supply = <0xffffffff>;
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x0>;
			#interrupt-cells = <0x1>;
			cd-gpios = <0xffffffff 0x56 0x0>;
			interrupt-map = <0x0 0xffffffff 0x0 0x0 0x7d 0x0 0x1 0xffffffff 0x0 0x0 0xdd 0x0 0x2 0xffffffff 0x56 0x0>;
			interrupt-map-mask = <0xffffffff>;
			interrupt-names = "hc_irq", "pwr_irq", "status_irq";
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0 0x1 0x2>;
			pinctrl-0 = <0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
			pinctrl-1 = <0xffffffff 0xffffffff 0xffffffff 0xffffffff>;
			pinctrl-names = "active", "sleep";
			qcom,vdd-current-level = <0x3a98 0xc3500>;
			qcom,vdd-io-current-level = <0xc8 0x55f0>;
			qcom,vdd-io-voltage-level = <0x1b7740 0x2d0370>;
			qcom,vdd-voltage-level = <0x2d0370 0x2d0370>;
			status = "ok";
			vdd-io-supply = <0xffffffff>;
			vdd-supply = <0xffffffff>;
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {

			qcom,msm-ssc-sensors {
				compatible = "qcom,msm-ssc-sensors";
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,peripheral-size = <0xf00000>;
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,battery-data = <0x11>;
			qcom,fg-jeita-thresholds = <0x5 0xf 0x2d 0x37>;
			qcom,hold-soc-while-full;
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";

			smb1351-charger@1d {
				compatible = "qcom,smb1351-charger";
				qcom,float-voltage-mv = <0x1130>;
				qcom,parallel-charger;
				qcom,parallel-en-pin-polarity = <0x1>;
				qcom,recharge-mv = <0x64>;
				reg = <0x1d>;
			};
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {
			status = "ok";

			lepton3-spi@1 {
				compatible = "flir,lepton3-spi";
				lepton3-spi,gpio-pdwn = <0xffffffff 0x2b 0x0>;
				lepton3-spi,gpio-rest = <0xffffffff 0x46 0x0>;
				lepton3-spi,gpio-vdd-en = <0xffffffff 0x4b 0x0>;
				lepton3-spi,gpio-vddc-en = <0xffffffff 0x34 0x0>;
				lepton3-spi,gpio-vddcio-en = <0xffffffff 0x44 0x0>;
				lepton3_vddc-supply = <0xffffffff>;
				reg = <0x1>;
				spi-cpha;
				spi-cpol;
				spi-max-frequency = <0x16e3600>;
			};

			lepton@0 {
				compatible = "flir,lepton3";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x41 0x1>;
				reg = <0x0>;
				spi-cpha;
				spi-cpol;
				spi-max-frequency = <0x16e3600>;
			};
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";

			himax_ts@48 {
				compatible = "himax,hxcommon";
				himax,display-coords = <0x0 0x438 0x0 0x870>;
				himax,irq-gpio = <0xffffffff 0x2d 0x2008>;
				himax,panel-coords = <0x0 0x438 0x0 0x870>;
				himax,rst-gpio = <0xffffffff 0x19 0x2008>;
				interrupt-parent = <0xffffffff>;
				interrupts = <0x2d 0x2008>;
				pinctrl-0 = <0xffffffff>;
				pinctrl-1 = <0xffffffff>;
				pinctrl-names = "hx_pins_reset_low", "hx_pins_reset_high";
				reg = <0x48>;
				report_type = <0x1>;
				status = "ok";
			};
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,current-ma = <0x64>;
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			status = "okay";
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			status = "disabled";
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,model = "sdm660-snd-card-mtp";
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {
			qcom,led-mask = <0x1>;
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {

			gpio_keys {
			};
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {

			qcom,camera@0 {
				gpios = <0xffffffff 0x20 0x0 0xffffffff 0x2e 0x0 0xffffffff 0x28 0x0 0xffffffff 0x15 0x0 0xffffffff 0x32 0x0>;
				qcom,eeprom-src = <0xa>;
				qcom,gpio-req-tbl-flags = <0x1 0x0 0x0 0x0 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK0", "CAM_RESET0", "CAM_VDIG", "CAM_VIO", "CAM_VANA";
				qcom,gpio-req-tbl-num = <0x0 0x1 0x2 0x3 0x4>;
				qcom,gpio-reset = <0x1>;
				qcom,gpio-vana = <0x4>;
				qcom,gpio-vdig = <0x2>;
				qcom,gpio-vio = <0x3>;
				qcom,mount-angle = <0x5a>;
			};

			qcom,camera@1 {
				clocks = <0xffffffff 0x1f 0xffffffff 0x85>;
				gpios = <0xffffffff 0x23 0x0 0xffffffff 0x2a 0x0 0xffffffff 0x4b 0x0 0xffffffff 0x40 0x0 0xffffffff 0x15 0x0 0xffffffff 0x2c 0x0>;
				pinctrl-0 = <0xffffffff 0xffffffff>;
				pinctrl-1 = <0xffffffff 0xffffffff>;
				qcom,gpio-req-tbl-flags = <0x1 0x0 0x0 0x0 0x0 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK", "CAM_RESET", "CAM_VDIG", "CAM_VANA", "CAM_VIO", "CAM_PWDN";
				qcom,gpio-req-tbl-num = <0x0 0x1 0x2 0x3 0x4 0x5>;
				qcom,gpio-reset = <0x1>;
				qcom,gpio-standby = <0x5>;
				qcom,gpio-vana = <0x3>;
				qcom,gpio-vdig = <0x2>;
				qcom,gpio-vio = <0x4>;
			};

			qcom,camera@2 {
				gpios = <0xffffffff 0x21 0x0 0xffffffff 0x2f 0x0 0xffffffff 0x34 0x0 0xffffffff 0x33 0x0 0xffffffff 0x15 0x0>;
				qcom,cci-master = <0x0>;
				qcom,gpio-req-tbl-flags = <0x1 0x0 0x0 0x0 0x0>;
				qcom,gpio-req-tbl-label = "CAMIF_MCLK1", "CAM_RESET1", "CAM_VDIG1", "CAM_VANA1", "CAM_VIO1";
				qcom,gpio-req-tbl-num = <0x0 0x1 0x2 0x3 0x4>;
				qcom,gpio-reset = <0x1>;
				qcom,gpio-vana = <0x3>;
				qcom,gpio-vdig = <0x2>;
				qcom,gpio-vio = <0x4>;
			};
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {

			qcom,battery-data {
				phandle = <0x11>;
				qcom,batt-id-range-pct = <0xf>;

				qcom,4403479_compal_bt72sdm660_4120mah_averaged_masterslave_may8th2020 {
					qcom, = <0x18>;
					qcom,batt-id-kohm = <0x64>;
					qcom,battery-beta = <0xd6b>;
					qcom,battery-type = "4403479_compal_bt72sdm660_4120mah_averaged_masterslave_may8th2020";
					qcom,checksum = <0xdcb3>;
					qcom,fastchg-current-ma = <0x9c4>;
					qcom,fg-cc-cv-threshold-mv = <0x10f4>;
					qcom,fg-profile-data = <0x811fcb05 0x390a9006 0xf61c9f01 0xc104b503 0x8918d422 0xc1457352 0x7f000000 0x13000000 0x8c 0x88cd08b5 0x15000800 0x700afdc 0x72062101 0x89e3cb12 0xedf4cc23 0x2a060920 0x27001400 0xf81f5e05 0x980a45fc 0xd71cb402 0x860cac0b 0xa4188823 0x64448e5a 0x70000000 0xf000000 0x8dd5 0x52ca0100 0x11000000 0xe2e2afdc 0x27f487f2 0xffec9103 0xfb067413 0x9933ccff 0x7100000 0x2109945 0x11004000 0xf3010afa 0xff000000 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
					qcom,gui-version = "PM660GUI - 0.0.0.45";
					qcom,jeita-fcc-ranges = <0x32 0x96 0xaae60 0x97 0x190 0x2625a0 0x191 0x226 0xdbba0>;
					qcom,jeita-fv-ranges = <0x32 0x96 0x401640 0x97 0x1c2 0x426030 0x1c3 0x226 0x401640>;
					qcom,max-voltage-uv = <0x426030>;
					qcom,nom-batt-capacity-mah = <0x1018>;
					qcom,ocv-based-step-chg;
					qcom,step-chg-ranges = <0x36ee80 0x39fbc0 0x5265c0 0x39fbc1 0x419ce0 0x36ee80 0x419ce1 0x426030 0x2625a0>;
				};
			};
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-0 = <0xffffffff>;
			pinctrl-names = "default";
			status = "ok";
		};
	};
};
